# studio::ZoomDial Class Reference

`#include <zoomdial.h>`

List of all members.

## Public Member Functions

| ZoomDial (Gtk::IconSize &size)
Glib::SignalProxy0< void > | signal_zoom_in ()
Glib::SignalProxy0< void > | signal_zoom_out ()
Glib::SignalProxy0< void > | signal_zoom_fit ()
Glib::SignalProxy0< void > | signal_zoom_norm ()

## Constructor & Destructor Documentation

ZoomDial::ZoomDial | ( | Gtk::IconSize & | size | ) |

References _.

## Member Function Documentation

Glib::SignalProxy0<void> studio::ZoomDial::signal_zoom_in | ( |  | ) | `[inline]`

Referenced by studio::WorkArea::WorkArea().

Glib::SignalProxy0<void> studio::ZoomDial::signal_zoom_out | ( |  | ) | `[inline]`

Referenced by studio::WorkArea::WorkArea().

Glib::SignalProxy0<void> studio::ZoomDial::signal_zoom_fit | ( |  | ) | `[inline]`

Referenced by studio::WorkArea::WorkArea().

Glib::SignalProxy0<void> studio::ZoomDial::signal_zoom_norm | ( |  | ) | `[inline]`

Referenced by studio::WorkArea::WorkArea().

The documentation for this class was generated from the following files:

- zoomdial.h
- zoomdial.cpp